Skip to content

rbx installed by rc4 installer doesn't seem to work on Core Duo machine #230

Closed
sdsykes opened this Issue Mar 31, 2010 · 6 comments

2 participants

@sdsykes
sdsykes commented Mar 31, 2010

/usr/local/bin/rbx: Bad CPU type in executable

OSX 10.6.2 Intel Core Duo.

I'll build from source, but thought you'd like to know.

@evanphx
Rubinius member
evanphx commented Mar 31, 2010

Hm. Are you on a 32bit machine? Try the 10.5 installer.

@sdsykes
sdsykes commented Mar 31, 2010

Yep, 32bit. I'm just compiling from source now. It needs to compile llvm too so it takes a while. I probably should update my machine :) I'll try the 10.5 installer if I get stuck, thx.

@evanphx
Rubinius member
evanphx commented Mar 31, 2010

Yeah, the 10.6 installer is x86-64 only currently. One of these days I'll figure out how to make a universal package. The 10.5 installer should work fine for you.

Once LLVM is compiled, you could do us future users a favor and run "rake package:llvm" which will create 2 files. If you upload those somewhere, I can put them on http://rubini.us so future users on 32bit 10.6 don't have to compile it again.

@evanphx
Rubinius member
evanphx commented Mar 31, 2010

Closing this as a known issue.

@sdsykes
sdsykes commented Mar 31, 2010

Thanks, I'll package llvm for you shortly.

This issue was closed.
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Something went wrong with that request. Please try again.